# Makefile.std : Standard Makefile for skkinput-2.00
# 
# 1996/03/10 Sun : Takashi SAKAMOTO
# 1997/09/05 Thr : Takashi SAKAMOTO

SHELL  = /bin/sh

# skkserv の起きている server の名前を入れて下さい。
SKKSERVER = localhost

# skkserv の利用している port 番号を指定して下さい。default は 1178 
# です。skkserver に login してから、/etc/services をのぞいて、skkserv
# の部分を見れば、分かると思います。
SKKPORT   = 1178

# skkinput が利用する default の fontset。Root Window Style の場合には
# このフォントが必ず、OverTheSpot, OffTheSpot の場合には変換client から
# フォントの指定が無ければこのフォントが使われることになります。
FONTSET   = -*-fixed-medium-r-normal--16-*-*-*-*-*-iso8859-1,-misc-fixed-medium-r-normal--16-*-*-*-*-*-jisx0201.1976-0,-misc-fixed-medium-r-normal--16-*-*-*-*-*-jisc6226.1978-0,-misc-fixed-medium-r-normal--16-*-*-*-*-*-jisx0208.1983-0,-misc-fixed-medium-r-normal--16-*-*-*-*-*-jisx0212.1990-0

# Ximp Protocol をサポートした skkinput を作る場合には次のコメントを
# 外して下さい。
# XIMP_DEFS = -DSUPPORT_XIMP
# XIMP_OBJS = Ximp.o

# X Input Method をサポートした skkinput を作る場合には次のコメントを
# 外して下さい。
# XIM_DEFS = -DSUPPORT_XIM -DXIM_BC
# XIM_OBJS = Xim.o imdispatch.o imconv.o imattr.o imrequest.o imbuf.o imic.o \
# 	imhash.o imdata.o XimOutBuf.o

# C Compiler を指定して下さい。
CC     = gcc
LD     = gcc

# X11 に関する設定。include path 及び library path を指定して下さい。
X11ROOT = /usr/X11R6
X11INCLUDES  = -I$(X11ROOT)/include
X11LDPRELIBS = -L$(X11ROOT)/lib

# X11R6 の場合に必要な library。
X11LIBS = -lXt -lXmu -lSM -lICE -lXext -lX11  
# X11R5 の場合
# X11LIBS = -lXt -lX11 … データが無くて出来ていません。

# Compile option の指定。
CFLAGS = -O -g -Wall

# Linker option の指定。
LDFLAGS = -O -g -Wall

# その他
EXTRA_INCLUDES  = 
EXTRA_LDPRELIBS = 
EXTRA_LIBS      =
# Solaris 2.x の場合には、次の library が必要です。
# EXTRA_LIBS = -lnsl -lsocket

#
ALL_DEFINES  = -DDEFAULT_SKKSERVER=\"$(SKKSERVER)\" -DDEFAULT_SKKPORT=\"$(SKKPORT)\" -DDEFAULT_FONTSET=\"$(FONTSET)\" $(XIMP_DEFS) $(XIM_DEFS)
ALL_INCLUDES = $(X11INCLUDES) $(EXTRA_INCLUDES) -I. -Imyeval
ALL_CFLAGS   = $(ALL_INCLUDES) $(ALL_DEFINES) $(CFLAGS)
LDPRELIBS    = $(X11LDPRELIBS) $(EXTRA_LDPRELIBS)
ALL_LDFLAGS  = $(LDFLAGS) $(LDPRELIBS)
ALL_LIBS     = $(X11LIBS) $(EXTRA_LIBS)

PRJ   = skkinput
OBJS  = main.o Kinput.o SeparateWin.o OverWin.o OffWin.o cstyle.o \
	skksoc.o skksvect.o skkldic.o skkldrec.o skkconfig.o parseStr.o \
	keymap.o ctext.o skkel.o skkmarker.o skkmbuf.o draw.o MyDispatch.o \
	SubwindowShell.o MyError.o FontMgr.o Canvas.o WmcloseShell.o \
	HistMgr.o CliMsg.o lispparse.o lispeval.o kanji.o \
	$(XIMP_OBJS) $(XIM_OBJS)

.SUFFIXES: .c .o

all : $(PRJ)

.c.o :
	$(CC) -c $(ALL_CFLAGS) $<

$(PRJ) : $(OBJS)
	$(LD) $(ALL_LDFLAGS) -o $(PRJ) $(OBJS) $(ALL_LIBS)

clean:
	rm -f $(PRJ) $(OBJ) *~ #*

# These are dependencies.
# DO NOT DELETE
